from django.shortcuts import render

from rest_framework.response import Response
from rest_framework.decorators import api_view

from .serializers import ReyMotaUserSerializer

from .models import ReyMotaUser

# Create your views here.


@api_view(['GET'])
def api_lista_usuarios(request):
    """Devuelve la lista de todos los usuarios."""
    usuarios = ReyMotaUser.objects.all()
    serializer = ReyMotaUserSerializer(usuarios, many=True)
    return Response(serializer.data)


@api_view(['GET'])
def api_detalle_usuario(request, usuario_id):
    """Devuelve los detalles de un usuario específico."""
    try:
        usuario = ReyMotaUser.objects.get(id=usuario_id)
        serializer = ReyMotaUserSerializer(usuario)
        return Response(serializer.data)
    except ReyMotaUser.DoesNotExist:
        return Response({'error': 'Canción no encontrada'}, status=404)
